package com.cronos.admin.panel;

import org.apache.struts.action.ActionForm;

public class PanelForm extends ActionForm {

	private static final long serialVersionUID = 1L;

	private String docBase;
	private String path;
	private String workDir;
	private boolean reloadable = false;

	private int maxActiveSessions;

	// SQL SERVER
	private String ssDbname;
	private String ssUser;
	private String ssPassword;
	private String ssServer;
	private String ssServerPort;
	private int ssMaxActive;
	private int ssMaxIdle;
	private int ssMaxWait;

	// Postgres
	private String pgDbname;
	private String pgUser;
	private String pgPassword;
	private String pgServer;
	private String pgServerPort;
	private int pgMaxActive;
	private int pgMaxIdle;
	private int pgMaxWait;

	// Oracle
	private String orDbname;
	private String orUser;
	private String orPassword;
	private String orServer;
	private String orServerPort;
	private int orMaxActive;
	private int orMaxIdle;
	private int orMaxWait;

	// Server
	private boolean enableLookups = true;
	private int acceptCount = 100;
	private int socketBuffer = 8192;
	private int maxThreads = 200;
	private boolean deployOnStartup = true;
	private int connectionTimeout = 60000;
	private int maxHttpHeaderSize = 8192;
	private String navProtocol;
	private String keystoreFile;
	private String keystorePass;
	private boolean sslEnabled = false;
	private int port = 8080;
	private String linuxRootPassword = "";

	public boolean isReloadable() {
		return reloadable;
	}

	public void setReloadable(boolean reloadable) {
		this.reloadable = reloadable;
	}

	public String getdocBase() {
		return docBase;
	}

	public void setDocBase(String docBase) {
		this.docBase = docBase;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public int getMaxActiveSessions() {
		return maxActiveSessions;
	}

	public void setMaxActiveSessions(int maxActiveSessions) {
		this.maxActiveSessions = maxActiveSessions;
	}

	public String getWorkDir() {
		return workDir;
	}

	public void setWorkDir(String workDir) {
		this.workDir = workDir;
	}

	/*
	 * private String ssDbname; private String ssUser; private String ssPassword;
	 * private String ssServer; private String ssServerPort;
	 */
	public String getSsDbname() {
		return ssDbname;
	}

	public void setSsDbname(String Dbname) {
		this.ssDbname = Dbname;
	}

	public String getPgDbname() {
		return pgDbname;
	}

	public void setPgDbname(String Dbname) {
		this.pgDbname = Dbname;
	}

	public String getOrDbname() {
		return orDbname;
	}

	public void setOrDbname(String Dbname) {
		this.orDbname = Dbname;
	}

	public String getSsUser() {
		return ssUser;
	}

	public void setSsUser(String User) {
		this.ssUser = User;
	}

	public String getPgUser() {
		return pgUser;
	}

	public void setPgUser(String User) {
		this.pgUser = User;
	}

	public String getOrUser() {
		return orUser;
	}

	public void setOrUser(String User) {
		this.orUser = User;
	}

	public String getSsServer() {
		return ssServer;
	}

	public void setSsServer(String Server) {
		this.ssServer = Server;
	}

	public String getPgServer() {
		return pgServer;
	}

	public void setPgServer(String Server) {
		this.pgServer = Server;
	}

	public String getOrServer() {
		return orServer;
	}

	public void setOrServer(String Server) {
		this.orServer = Server;
	}

	public String getSsPassword() {
		return ssPassword;
	}

	public void setSsPassword(String Password) {
		this.ssPassword = Password;
	}

	public String getPgPassword() {
		return pgPassword;
	}

	public void setPgPassword(String Password) {
		this.pgPassword = Password;
	}

	public String getOrPassword() {
		return orPassword;
	}

	public void setOrPassword(String Password) {
		this.orPassword = Password;
	}

	public String getSsServerPort() {
		return ssServerPort;
	}

	public void setSsServerPort(String ServerPort) {
		this.ssServerPort = ServerPort;
	}

	public String getPgServerPort() {
		return pgServerPort;
	}

	public void setPgServerPort(String ServerPort) {
		this.pgServerPort = ServerPort;
	}

	public String getOrServerPort() {
		return orServerPort;
	}

	public void setOrServerPort(String ServerPort) {
		this.orServerPort = ServerPort;
	}

	// Server
	public boolean getEnableLookups() {
		return enableLookups;
	}

	public void setEnableLookups(boolean enableLookups) {
		this.enableLookups = enableLookups;
	}

	public boolean getDeployOnStartup() {
		return deployOnStartup;
	}

	public void setDeployOnStartup(boolean deployOnStartup) {
		this.deployOnStartup = deployOnStartup;
	}

	public int getAcceptCount() {
		return acceptCount;
	}

	public void setAcceptCount(int acceptCount) {
		this.acceptCount = acceptCount;
	}

	public int getSocketBuffer() {
		return socketBuffer;
	}

	public void setSocketBuffer(int socketBuffer) {
		this.socketBuffer = socketBuffer;
	}

	public int getMaxThreads() {
		return maxThreads;
	}

	public void setMaxThreads(int maxThreads) {
		this.maxThreads = maxThreads;
	}

	public int getConnectionTimeout() {
		return connectionTimeout;
	}

	public void setConnectionTimeout(int connectionTimeout) {
		this.connectionTimeout = connectionTimeout;
	}

	public int getMaxHttpHeaderSize() {
		return maxHttpHeaderSize;
	}

	public void setMaxHttpHeaderSize(int maxHttpHeaderSize) {
		this.maxHttpHeaderSize = maxHttpHeaderSize;
	}

	public String getNavProtocol() {
		return navProtocol;
	}

	public void setNavProtocol(String navProtocol) {
		this.navProtocol = navProtocol;
	}

	public String getKeystoreFile() {
		return keystoreFile;
	}

	public void setKeystoreFile(String keystoreFile) {
		this.keystoreFile = keystoreFile;
	}

	public String getKeystorePass() {
		return keystorePass;
	}

	public void setKeystorePass(String keystorePass) {
		this.keystorePass = keystorePass;
	}

	public boolean getSslEnabled() {
		return sslEnabled;
	}

	public void setSslEnabled(boolean sslEnabled) {
		this.sslEnabled = sslEnabled;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public void setLinuxRootPassword(String linuxRootPassword) {
		this.linuxRootPassword = linuxRootPassword;
	}

	public String getLinuxRootPassword() {
		return linuxRootPassword;
	}

	public int getSsMaxIdle() {
		return ssMaxIdle;
	}

	public void setSsMaxIdle(int ssMaxIdle) {
		this.ssMaxIdle = ssMaxIdle;
	}

	public int getPgMaxIdle() {
		return pgMaxIdle;
	}

	public void setPgMaxIdle(int pgMaxIdle) {
		this.pgMaxIdle = pgMaxIdle;
	}

	public int getOrMaxIdle() {
		return orMaxIdle;
	}

	public void setOrMaxIdle(int orMaxIdle) {
		this.orMaxIdle = orMaxIdle;
	}

	public int getSsMaxActive() {
		return ssMaxActive;
	}

	public void setSsMaxActive(int ssMaxActive) {
		this.ssMaxActive = ssMaxActive;
	}

	public int getPgMaxActive() {
		return pgMaxActive;
	}

	public void setPgMaxActive(int pgMaxActive) {
		this.pgMaxActive = pgMaxActive;
	}

	public int getOrMaxActive() {
		return orMaxActive;
	}

	public void setOrMaxActive(int orMaxActive) {
		this.orMaxActive = orMaxActive;
	}

	public int getSsMaxWait() {
		return ssMaxWait;
	}

	public void setSsMaxWait(int ssMaxWait) {
		this.ssMaxWait = ssMaxWait;
	}

	public int getPgMaxWait() {
		return pgMaxWait;
	}

	public void setPgMaxWait(int pgMaxWait) {
		this.pgMaxWait = pgMaxWait;
	}

	public int getOrMaxWait() {
		return orMaxWait;
	}

	public void setOrMaxWait(int orMaxWait) {
		this.orMaxWait = orMaxWait;
	}
}